Update IPSec Documentation


#1

Hi everyone,

I was just trying to get my IPSec site-to-site bock to work after upgrading to 18.06.

During that, I read again trough the documentation at https://openwrt.org/docs/guide-user/services/vpn/ipsec/strongswan/basics. Even in the first paragraph it says "based on OpenWrt Barrier Breaker 14.07", which seems kind of outdated.

What bothers me even more is the init script embedded into the wiki-page, because

  1. It doesn't even work out of the box
  2. There is another script provided with the strongswan package
  3. From my experience, code should just not need to be copy-pasted from somewhere.

I'd like to help working on that issue, but being new to this community, I first wanted to get an impression of what others think about that and maybe soneone does now more about the current state.


#2

The initscript provided by the strongswan package is fine, at least for my roadwarrior (gateway) needs - and yes, the wiki documentation would require some serious love, but that applies to virtually all documentation.


#3

There're a lot of outdated articles in the Wiki.
You can fix it if you have some theoretical/empirical knowledge.
Your help is welcome!
https://openwrt.org/wiki/wikirules